"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
require("react");
require("clsx");
const Mantine_context = require("../../../core/MantineProvider/Mantine.context.cjs");
const MantineThemeProvider = require("../../../core/MantineProvider/MantineThemeProvider/MantineThemeProvider.cjs");
const InlineStyles = require("../../../core/InlineStyles/InlineStyles.cjs");
const getVariables = require("./get-variables/get-variables.cjs");
function AppShellMediaStyles({
  navbar,
  header,
  aside,
  footer,
  padding
}) {
  const theme = MantineThemeProvider.useMantineTheme();
  const ctx = Mantine_context.useMantineContext();
  const { media, baseStyles } = getVariables.getVariables({ navbar, header, footer, aside, padding, theme });
  return /* @__PURE__ */ jsxRuntime.jsx(InlineStyles.InlineStyles, { media, styles: baseStyles, selector: ctx.cssVariablesSelector });
}
exports.AppShellMediaStyles = AppShellMediaStyles;
